(function($, doc) {
	$.init();

	$.plusReady(function() {
		var self = plus.webview.currentWebview();
		var authorization = app.GetAuthorization();
		var nodata = document.body.querySelector('.nodata');
		var billInfo = document.body.querySelector('.ronschool-container');

		self.addEventListener('hide', function() {
			self.close();
		}, false);
		console.log(JSON.stringify(authorization));
		if(authorization.token == "RONSCHOOL_51AREA_JORY") {

			var enroll = app.GetBillModel();
			console.log(JSON.stringify(enroll));
			var id = "",
			org_id ="",
				camp_id = "";
			if(JSON.stringify(enroll) != "{}") {
				id = enroll.id;
				org_id =enroll.org_id;
				camp_id = enroll.camp_id;
			}
			var billInfoPar = {
				id: id,
				org_id: org_id,
				camp_id: camp_id
			}
			if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
				plus.nativeUI.toast('网络不给力，请检查网络设置');
				return;
			}

			nodata.style.display = "block";
			var waiting = plus.nativeUI.showWaiting();
			app.GetBillInfo(billInfoPar, function(data) {
				waiting.close();
				if(data != []) {
					nodata.style.display = "none";
					pusBillInfoHTML(data, enroll);
				}
			})
		}

		function pusBillInfoHTML(data, model) {
             console.log(JSON.stringify(data));
              console.log(JSON.stringify(model));
			var billInfoInnerHtml = "";
			var org_name = "";
			$.each(data, function(index, item) {
				if(item.name == "org_name") {
					org_name = item.value;
				}
			})
			billInfoInnerHtml += '<h4><span style=" font-size: 1.2em; padding-right: 5px;" class=" iconfont icon-offline">' + org_name + '</span></h4>'
			billInfoInnerHtml += '<h3>' + (model.payment + model.arrears).toFixed(2) + '</h3>';

			if(model.enable_flag == "1") {
				if(model.arrears > 0) {
					billInfoInnerHtml += '<p class="mui-text-center">交易成功,欠费' + model.arrears.toFixed(2) + '</p>';
				} else {
					billInfoInnerHtml += '<p class="mui-text-center">交易成功</p>';
				}

			} else {
				billInfoInnerHtml += '<p class="mui-text-center">交易关闭</p>';
			}

			billInfoInnerHtml += '<ul class="mui-table-view">';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">付款方式</div><div class="mui-col-xs-8  mui-text-right"><div>现金 ' + model.payment.toFixed(2) + '</div> <div>优惠 ' + model.discount.toFixed(2) + '</div>  </div></div></li>';
			
			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">学员</div><div class="mui-col-xs-8  mui-text-right">'+model.stu_name+'</div></div></li>';
			

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">课程名称</div><div class="mui-col-xs-8  mui-text-right"><div>' + model.lesson_name + '</div>  </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">课程类型</div><div class="mui-col-xs-8  mui-text-right"><div>' + app.lessonTypeHTML(model.lesson_type) + '</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">单价</div><div class="mui-col-xs-8  mui-text-right"><div>' + model.lesson_price.toFixed(2) + '</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">数量</div><div class="mui-col-xs-8  mui-text-right"><div>' + model.lesson_number + '</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">机构</div><div class="mui-col-xs-8  mui-text-right"><div> ' + org_name + '</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">创建时间</div><div class="mui-col-xs-8  mui-text-right"><div> ' + app.ConvertJsonTime(model.create_time) + '</div>  </div></div></li>';

			billInfoInnerHtml += '</ul>';
		
		    console.log(billInfoInnerHtml);
			billInfo.innerHTML = billInfoInnerHtml;

		}

	});
})(mui, document)