(function($, doc) {
	$.init();
	var self = plus.webview.currentWebview();
	var account = doc.getElementById("account");
	var validateCodebtn = doc.getElementById("validateCodebtn");
	var validateCode = doc.getElementById("validateCode");
	var register = doc.getElementById("register");
	// 获取Login传递的参数
	window.addEventListener('getParameter', function(options) {
		account.value = options.detail.phone;
		validateCode.value = "";
	})
	$.plusReady(function() {

		self.addEventListener('hide', function() {
			account.value = "";
			validateCode.value = "";
			self.close();
		}, false);
		/**
		 * 
		 */
		validateCodebtn.addEventListener('tap', function(event) {
			if(!app.validatePhone(account.value)) {
				plus.nativeUI.toast('手机号不正确');
				return;
			}
			if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
				plus.nativeUI.toast('网络不给力，请检查网络设置');
				return;
			}
			var smsInfo = {
				phone: account.value,
				template_type: "resetpwd"
			};

			app.validatecode(smsInfo, function(data) {
				if(data.success) {
					app.setCode(data.err_code);
				} else {
					plus.nativeUI.toast(data.msg);
				}
			})
			var validateCodebtnlist = validateCodebtn.classList;
			var time = 60,
				timer = setInterval(function() {
					validateCodebtnlist.add('mui-disabled');
					validateCodebtn.innerHTML = (--time) + "秒重新获取", time <= 0 && (validateCodebtnlist.remove('mui-disabled'), validateCodebtn.innerHTML = "再次获取", clearInterval(timer));
				}, 1e3);
		})

		register.addEventListener('tap', function(event) {

			if(validateCode.value == "") {
				plus.nativeUI.toast('请输入验证码');
				return;
			}
			if(app.checkCode(validateCode.value)) {
				localStorage.setItem('$account_phone', account.value);
				var reset_passwordPage = $.preload({
					"id": 'reset_password.html',
					"url": 'reset_password.html'
				});
				$.fire(reset_passwordPage, 'getParameter', {});
				reset_passwordPage.show("pop-in");
				self.close();

			} else {
				plus.nativeUI.toast('验证码错误');
			}
		})

	});
}(mui, document));