(function($, owner) {

	/*
	 * 通用Funcation
	 */
	var httpurl = "http://client.egxiao.com/";
	//httpurl = "https://ronschool.chinacloudsites.cn/";
	var re = new RegExp("^(?![0-9@#$%^&*()+=|{}':;',\\[\\].<>/?~！!@#￥%……&*（）——+|{}【】‘；：”“’。，、？]+$)(?![a-zA-Z@#$%^&*()+=|{}':;',\\[\\].<>/?~！!@#￥%……&*（）——+|{}【】‘；：”“’。，、？]+$)[0-9A-Za-z@#$%^&*()+=|{}':;',\\[\\].<>/?~！!@#￥%……&*（）——+|{}【】‘；：”“’。，、？]{6,18}$");
	var chrnum = /^1[3,4,5,7,8]\d{9}$/; //手机号
	var decimalreg = /^\d+(\.\d{2})?$/;
	var serviceCode = "joryjack";
	//校验密码
	owner.validatePassword = function(password) {
		return re.test(password);
	}
	//校验手机号
	owner.validatePhone = function(phone) {
		return chrnum.test(phone);
	}
	//设置Code
	owner.setCode = function(servicevalidateCode) {
		serviceCode = servicevalidateCode;
		var time = 600,
			timer = setInterval(function() {
				--time, time <= 0 && (serviceCode = "joryjack", clearInterval(timer));
			}, 1e3); //十分钟内有效
	}
	//获取Code
	owner.checkCode = function(validateCode) {
		console.log(serviceCode);
		return serviceCode == validateCode;
	}
	/*
	 * 短信模板
	 */
	function getSmsTemplateCode(template_type) {
		switch(template_type) {
			case "register":
				return "SMS_16815287"; //注册
				break;
			case "resetpwd":
				return "SMS_16795240"; //修改密码
				break;
			case "activate":
				return "SMS_16795241" //激活
				break;
			default:
				break;
		}
	}
	//精确到分钟的本地时间
	owner.getNowFormatShortDate = function() {
		var date = new Date();
		var seperator1 = "-";
		var seperator2 = ":";
		var month = date.getMonth() + 1;
		var strDate = date.getDate();
		if(month >= 1 && month <= 9) {
			month = "0" + month;
		}
		if(strDate >= 0 && strDate <= 9) {
			strDate = "0" + strDate;
		}
		var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate +
			" " + date.getHours() + seperator2 + date.getMinutes();
		return currentdate;
	}
	//课程类型Code
	function getLessonTypeCode(typevalue) {
		var LessonTypeCode = ""
		switch(typevalue) {
			case "学时制":
				LessonTypeCode = "1"
				break;
			case "学期制":
				LessonTypeCode = "2"
				break;
			default:
				break;
		}
		return LessonTypeCode;
	}
	//学员来源
	function getSourceCode(sourcevalue) {
		var sourceCode = ""
		switch(sourcevalue) {
			case "自然来电":
				sourceCode = "stuSource0001";
				break;
			case "转介绍":
				sourceCode = "stuSource0002";
				break;
			case "渠道合作":
				sourceCode = "stuSource0003";
				break;
			case "活动填单":
				sourceCode = "stuSource0004";
				break;
			case "自然来访":
				sourceCode = "stuSource0005";
				break;
			case "其他":
				sourceCode = "stuSource0006"
				break;
			default:
				break;
		}
		return sourceCode;
	}

	function getTalkStyle(talkStylevalue) {
		var talkStyleCode = ""
		switch(talkStylevalue) {
			case "打电话":
				talkStyleCode = "talkStyle0001";
				break;
			case "面谈":
				talkStyleCode = "talkStyle0002";
				break;
			case "发短信":
				talkStyleCode = "talkStyle0003";
				break;
			default:
				break;
		}
		return talkStyleCode;
	}

	function getStudentState(statevalue) {
		var stateCode = ""
		switch(statevalue) {
			case "跟进中":
				stateCode = "stuState0001";
				break;
			case "已报名":
				stateCode = "stuState0002";
				break;
			case "无意向":
				stateCode = "stuState0003";
				break;
			default:
				break;
		}
		return stateCode;
	}
	owner.studentStateHTML = function(state) {
		var stateHTML = "";
		switch(state) {
			case "stuState0001":
				stateHTML = '<span class="label label-warning" >跟进中</span>';
				break;
			case "stuState0002":
				stateHTML = '<span class="label label-success" >已报名</span>';
				break;
			case "stuState0003":
				stateHTML = '<span class="label label-danger" >无意向</span>';
				break;
			default:
				break;
		}
		return stateHTML;
	}

	function getNoteLessonStateCode(stateValue) {
		var stateCode = ""
		switch(stateValue) {
			case "上课":
				stateCode = "noleState0001";
				break;
			case "旷课":
				stateCode = "noleState0001";
				break;
			case "补课":
				stateCode = "noleState0003";
				break;
			case "请假不扣课":
				stateCode = "noleState0004";
				break;
			case "请假扣课":
				stateCode = "noleState0004";
				break;
			default:

				break;
		}
		return stateCode;
	}
	/*
	 * 上课状态
	 */
	owner.studyRecordStateHTML = function(state) {
		var stateHTML = "";
		switch(state) {
			case "noleState0001":
				stateHTML = '<span class="mui-h6 mui-pull-right  fontcolor-success" >上课</span>';
				break;
			case "noleState0002":
				stateHTML = '<span class="mui-h6 mui-pull-right  fontcolor-danger"  >旷课</span>';
				break;
			case "noleState0003":
				stateHTML = '<span class="mui-h6 mui-pull-right  fontcolor-primary">补课</span> ';
				break;
			case "noleState0004":
				stateHTML = '<span class="mui-h6 mui-pull-right  fontcolor-warning" >请假不扣课</span>';

				break;
			case "noleState0005":
				stateHTML = '<span class="mui-h6 mui-pull-right  fontcolor-danger1" >请假扣课</span>';

				break;
			default:
				break;
		}
		return stateHTML;
	}
	owner.getnoteLessonStateValue = function(state) {
		var stateHTML = "";
		switch(state) {
			case "noleState0001":
				stateHTML = '上课';
				break;
			case "noleState0002":
				stateHTML = '旷课';
				break;
			case "noleState0003":
				stateHTML = '补课';
				break;
			case "noleState0004":
				stateHTML = '请假不扣课';
				break;
			case "noleState0005":
				stateHTML = '请假扣课';
				break;
			default:
				break;
		}
		return stateHTML;
	}
	//上课方式
	function getNoteLessonStyleCode(styleValue) {
		var stateCode = ""
		switch(styleValue) {
			case "正式":
				stateCode = "1";
				break;
			case "体验":
				stateCode = "2";
				break;
			default:
				break;
		}
		return stateCode;
	}
	owner.getNoteLessonStyleValue = function(styleCode) {
		var stateValue = ""
		switch(styleCode) {
			case "1":
				stateValue = "正式";
				break;
			case "2":
				stateValue = "体验";
				break;
			default:
				break;
		}
		return stateValue;
	}
	//JsonTime转换
	owner.ConvertJsonTime = function(datetime) {
		if(datetime == null || datetime == "") {
			return "暂无"
		}
		return new Date(datetime).toISOString().replace(/T/g, ' ').replace(/:[\d]{2}\.[\d]{3}Z/, '');
	}
	owner.talkStyleHTML = function(state) {
		var talkStyleHTML = "";
		switch(state) {
			case "talkStyle0001":
				talkStyleHTML = '打电话';
				break;
			case "talkStyle0002":
				talkStyleHTML = '面谈';
				break;
			case "talkStyle0003":
				talkStyleHTML = '发短信';
				break;
			default:
				break;
		}
		return talkStyleHTML;
	}

	//课程类型HTML
	owner.lessonTypeHTML = function(LessonTypeCode) {
		var lessonTypeHTML = ""
		switch(LessonTypeCode) {
			case "1":
				lessonTypeHTML = "课时"
				break;
			case "2":
				lessonTypeHTML = "课时包"
				break;
			default:
				break;
		}
		return lessonTypeHTML;
	}

	//班级类型HTML
	owner.classStateHTML = function(classStateCode) {
		var classStateHTML = ""
		switch(classStateCode) {
			case "1":
				classStateHTML = '<span class="label label-warning">待开课</span>';
				break;
			case "2":
				classStateHTML = '<span class="label label-success">已开课</span>';
				break;
			case "3":
				classStateHTML = '<span class="label label-danger">已结课</span>';
				break;
			default:
				break;
		}
		return classStateHTML;
	}

	owner.enrollStyleHTML = function(enrollStyleCode) {
		var enrollStyleHTML = ""

		switch(enrollStyleCode) {
			case "0":
				enrollStyleHTML = '<span class=" mui-pull-right">未结算</span>'; /* label label-warning*/
				break;
			case "1":
				enrollStyleHTML = '<span class=" mui-pull-right">按消结算</span>'; /* */
				break;
			case "2":
				enrollStyleHTML = '<span class=" mui-pull-right ">已结算</span>'; /* label label-danger*/
				break;
			default:
				break;
		}

		return enrollStyleHTML;
	}
	/* end */

	/*
	 * 验证码
	 */
	owner.validatecode = function(smsinfo, callback) {

		$.getJSONP(httpurl + 'api/sms/validatecode', {
			phone: smsinfo.phone,
			template_code: getSmsTemplateCode(smsinfo.template_type)
		}, function(data) {
			return callback(data);
		});
	};

	/*
	 * 用户登录
	 */
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';

		if(!chrnum.test(loginInfo.account)) {
			return callback('请输入正确的手机号码');
		}
		if(loginInfo.password.length < 6 || loginInfo.password.length > 18) {
			return callback('密码输入错误');
		}
		console.log(loginInfo.account);
		console.log(base64encode(loginInfo.password));
		$.getJSONP(httpurl + 'api/account/login', {
			phone: loginInfo.account,
			password: base64encode(loginInfo.password)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 注册
	 * @param {Object} accountModel
	 * @param {Object} callback
	 */
	owner.AccountRegister = function(accountModel, callback) {
		if(!chrnum.test(accountModel.phone)) {
			return callback('请输入正确的手机号码');
		}
		if(accountModel.password.length < 6 || accountModel.password.length > 18) {
			return callback('长度为6-18位数字和字母组合');
		}
		$.getJSONP(httpurl + '/api/account/AccountRegister', {
			data: JSON.stringify(accountModel)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 找回密码
	 * @param {Object} accountModel
	 * @param {Object} callback
	 */
	owner.ResetPwd = function(accountModel, callback) {

		console.log(JSON.stringify(accountModel))
		if(!chrnum.test(accountModel.phone)) {
			return callback('请输入正确的手机号码');
		}
		if(accountModel.password.length < 6 || accountModel.password.length > 18) {
			return callback('密码长度为6-18位数字和字母组合');
		}
		$.getJSONP(httpurl + '/api/account/ResetPwd', {
			phone: accountModel.phone,
			password: accountModel.password
		}, function(data) {
			return callback(data);
		});
	}
	/**
	 * 重置密码
	 * @param {Object} accountModel
	 * @param {Object} callback
	 */
	owner.ModifyPwd = function(accountModel, callback) {
		console.log(JSON.stringify(accountModel))
		if(!chrnum.test(accountModel.phone)) {
			return callback('请输入正确的手机号码');
		}
		if(accountModel.password.length < 6 || accountModel.password.length > 18) {
			return callback('密码长度为6-18位数字和字母组合');
		}
		$.getJSONP(httpurl + '/api/account/ModifyPwd', accountModel, function(data) {
			return callback(data);
		});
	}

	/**
	 * 同步用户信息
	 * @param {Object} accountModel
	 * @param {Object} callback
	 */
	owner.SaveAccount = function(accountModel, callback) {
		$.getJSONP(httpurl + '/api/account/SaveAccount', {
			data: JSON.stringify(accountModel)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 账单
	 * @param {Object} enrollRequest
	 * @param {Object} callback
	 */
	owner.GetEnrollList = function(enrollRequest, callback) {
		enrollRequest.clientSecret = base64encode(enrollRequest.clientSecret);
		$.getJSONP(httpurl + '/api/bill/GetEnrollList', {
			data: JSON.stringify(enrollRequest)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 账单详细
	 * @param {Object} billInfoPar
	 * @param {Object} callback
	 */
	owner.GetBillInfo = function(billInfoPar, callback) {
		$.getJSONP(httpurl + '/api/bill/GetBillInfo', billInfoPar, function(data) {
			return callback(data);
		});
	}

	/**
	 * 上课
	 * @param {Object} studyRecordRequest
	 * @param {Object} callback
	 */
	owner.GetLearnRecordList = function(studyRecordRequest, callback) {
		studyRecordRequest.clientSecret = base64encode(studyRecordRequest.clientSecret);
		console.log(JSON.stringify(studyRecordRequest));
		$.getJSONP(httpurl + '/api/LearnRecord/GetLearnRecordList', {
			data: JSON.stringify(studyRecordRequest)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 课程
	 * @param {Object} lessonRequest
	 * @param {Object} callback
	 */
	owner.GetLessonList = function(lessonRequest, callback) {
		lessonRequest.clientSecret = base64encode(lessonRequest.clientSecret);
		$.getJSONP(httpurl + '/api/lesson/GetLessonList', {
			data: JSON.stringify(lessonRequest)
		}, function(data) {
			return callback(data);
		});
	}
	/**
	 * 课程详细
	 * @param {Object} lessonInfoPar
	 * @param {Object} callback
	 */
	owner.GetStuLessonDetailInfo = function(lessonInfoPar, callback) {
		lessonInfoPar.clientSecret = base64encode(lessonInfoPar.clientSecret);
		$.getJSONP(httpurl + '/api/lesson/GetStuLessonDetailInfo', {
			data: JSON.stringify(lessonInfoPar)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 机构
	 * @param {Object} orgRequest
	 * @param {Object} callback
	 */
	owner.GetOrganizationList = function(orgRequest, callback) {
		orgRequest.clientSecret = base64encode(orgRequest.clientSecret);
		$.getJSONP(httpurl + '/api/Organization/GetOrganizationList', {
			data: JSON.stringify(orgRequest)
		}, function(data) {
			return callback(data);
		});
	}

	/**
	 * 待续报课程
	 * @param {Object} napLessonRequest
	 * @param {Object} callback
	 */

	owner.GetNAPLessonList = function(napLessonRequest, callback) {
		napLessonRequest.clientSecret = base64encode(napLessonRequest.clientSecret);
		console.log(JSON.stringify(napLessonRequest));
		$.getJSONP(httpurl + '/api/NAPLesson/GetNAPLessonList', {
			data: JSON.stringify(napLessonRequest)
		}, function(data) {
			return callback(data);
		});
	}
	/**
	 * 设置应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 获取应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	//获取 AccountPhone
	owner.getAccountPhone = function() {
		var accountPhoneText = localStorage.getItem('$account_phone') || "";
		return accountPhoneText;
	}
	//获取 authorization
	owner.GetAuthorization = function() {
		var authorizationText = localStorage.getItem('$authorization') || "{}";
		return JSON.parse(authorizationText);
	}

	//获取 BillModel
	owner.GetBillModel = function() {
		var billModelText = localStorage.getItem('$BillModel') || "{}";
		return JSON.parse(billModelText);
	}

	//获取 LessonModel
	owner.GetLessonModel = function() {
		var lessonModelText = localStorage.getItem('$LessonModel') || "{}";
		return JSON.parse(lessonModelText);
	}
}(mui, window.app = {}));