(function($, doc) {
	var authorization = app.GetAuthorization();
	var nodata = document.body.querySelector('.nodata');
	var table = document.body.querySelector('.mui-table-view');
	
	var _self;
	if(window.plus) {
		plusReady();
	} else {
		document.addEventListener("plusready", function() {
			plusReady();
		}, false);
	}

	function plusReady() {
		_self = plus.webview.currentWebview();
		_self.setPullToRefresh({
			support: true,
			height: '50px',
			range: '100px',
			style: 'circle',
			offset: '1px'
		}, pulldownRefresh);
	}

	function addData() {
		var clientId = '',
			clientSecret = '';

		if(authorization.token == "RONSCHOOL_51AREA_JORY") {
			clientId = authorization.data.id;
			clientSecret = authorization.data.phone;
		}
		var orgRequest = {
			clientId: clientId,
			clientSecret: clientSecret
		}
		nodata.style.display = "none";
		table.innerHTML = "";
		app.GetOrganizationList(orgRequest, function(data) {
			if(data.length == 0) {
				nodata.style.display = "block";
			} else {
				for (var i = 0; i < data.length; i++) {
					var li = document.createElement('li');
					li.className = 'mui-table-view-cell';
					li.innerHTML = '<a>' + data[i].name + '</a>';
					table.appendChild(li);
				}
			}
		});
	}
	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		setTimeout(function() {
			addData();
			_self.endPullToRefresh();
		}, 1500);
	}

	addData();

})(mui, document);